[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# seg_move

Move data between 2 locations

## Declaration

Source position: go32.pp line 110

`procedure seg_move(`
`sseg: Word;`
`source: LongInt;`
`dseg: Word;`
`dest: LongInt;`
`count: LongInt`
`);`

## Description

Copies data between two memory locations.

Parameters:

sseg
  source selector.
source
  source offset.
dseg
  destination selector.
dest
  destination offset.
count
  size in bytes to copy.

Return values: None.

Remark: | Overlapping is only checked if the source selector is equal to the destination selector. No range check is done.

For an example, see allocate_ldt_descriptors.

## Errors

None.

## See also

seg_fillchar |  | Fill segment with byte value
seg_fillword |  | Fill segment with word value
dosmemfillchar |  | Fill a region of DOS memory with a specific byte-sized value
dosmemfillword |  | Fill a region of DOS memory with a specific word-sized value
dosmemget |  | Copy data from DOS memory to the heap.
dosmemput |  | Copy data from the heap to DOS real mode memory
dosmemmove |  | Move data between 2 DOS real mode memory locations

Documentation generated on: Feb 26 2014